%define origname wqy-bitmapfont
%define version 1.0
%define snapshotdate 20080316

# fwang: whether we are using west part or east part of the source.
# check here: http://wenq.org/index.cgi?BitmapSong#nightly_build_NB
%define use_west_part 0

# fwang: whether we should use cjk parts only
# if yes, wqy bitmapsong could be treated as monospace font
%define cjk_part_only 0

Name:	x11-font-%{origname}
Version:	%{version}
Release:	%mkrel -c %snapshotdate 1
Summary:	WenQuanYi Bitmap Song
Group:	System/Fonts/X11 bitmap
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:	http://www.wenq.org
Source0:	http://heanet.dl.sourceforge.net/sourceforge/wqy/%{origname}-bdf-gb18030-nightly_build.tar.gz
Source1:	http://heanet.dl.sourceforge.net/sourceforge/wqy/%{origname}-bdf-all-nightly_build.tar.gz
License:	GPLv2+
BuildArch:	noarch
BuildRequires:	bdftopcf

Requires(pre):	mkfontdir, mkfontscale
Requires(postun):	mkfontdir, mkfontscale
Requires:	fontconfig >= 2.4.2-7
Conflicts:	fontconfig < 2.4.2-7

%if %use_west_part
%description
The Wen Quan Yi bitmap font includes complete CJK Unified 
Ideograph (U4E00 - U9FA5) glyphs at four different sizes 
(9pt-12X12 pixel, 10pt-13X13 pixel, 11pt-15X15 pixel, 
12pt-16x16 pixel) and two weights (medium and bold). 
Use of this bitmap font for on-screen display of Chinese 
(traditional and simplified) in web pages and elsewhere 
eliminates the annoying "blurring" problems caused by 
the high stroke density of many Chinese characters and 
insufficient "hinting" of anti-aliased Chinese fonts. 
This font also provides bitmap glyphs for Japanese 
Hiragana (U3040 - U309F), Katakana (U30A0 - U30FF) 
and for Korean Hangul (UAC00 - UD7A3).
%else
%description
The Wen Quan Yi bitmap font is a manually fine-tuned
multi-strike bitmap font for on-screen display of Chinese
(traditional and simplified). It has arguably the most complete
coverage for Chinese characters among all known open-source
fonts, including CJK Unified Ideograph (U4E00 - U9FA5) and
CJK Unified Ideograph Extension A (U3400 - U4DB5) glyphs
at four different sizes (9pt-12X12 pixel, 10pt-13X13 pixel,
11pt-15X15 pixel, 12pt-16x16 pixel) and two weights
(medium and bold). Use this font in web pages and elsewhere
eliminates the annoying "blurring" problems caused by
the high stroke density of many Chinese characters and
insufficient "hinting" of anti-aliased Chinese fonts.
This font also provides bitmap glyphs for Basic Latin,
Japanese Hiragana (U3040 - U309F) and Katakana (U30A0 - U30FF).
%endif

%prep
%if %use_west_part
%setup -q -T -n %{origname}-all -b 1
%else
%setup -q -T -n %{origname}-gb18030 -b 0
%endif

%build
%if %cjk_part_only
%make cjk
%else
%make wqyv1
%endif

%install
rm -fr %buildroot

install -d %{buildroot}/%_datadir/fonts/wqy
install -m 0644 *.pcf fonts.alias %{buildroot}/%_datadir/fonts/wqy

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/wqy \
    %{buildroot}%_sysconfdir/X11/fontpath.d/wqy-bitmapfont:pri=50

%post
mkfontscale %_datadir/fonts/wqy
mkfontdir %_datadir/fonts/wqy
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache

%postun
mkfontscale %_datadir/fonts/wqy
mkfontdir %_datadir/fonts/wqy
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING
%_sysconfdir/X11/fontpath.d/wqy-bitmapfont:pri=50
%_datadir/fonts/wqy/*.pcf
%_datadir/fonts/wqy/fonts.alias


%changelog
* Sun Mar 16 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20080316.1mdv2008.1
+ Revision: 188158
- New snapshot of fonts

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20080209.1mdv2008.1
+ Revision: 164469
- New snapshot of font

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 1.0-0.20080124.1mdv2008.1
+ Revision: 157808
- New snapshot

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071229.1mdv2008.1
+ Revision: 139168
- New snapshot at 20071229

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071215.1mdv2008.1
+ Revision: 120494
- New snapshot at 20071215

* Sun Dec 02 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071202.1mdv2008.1
+ Revision: 114418
- New snapshot

* Fri Nov 23 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071123.1mdv2008.1
+ Revision: 111600
- New snapshot
- fix description

* Wed Nov 14 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071114.1mdv2008.1
+ Revision: 108776
- New snapshot at 20071114

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071103.1mdv2008.1
+ Revision: 105573
- New snapshot of fonts

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071028.1mdv2008.1
+ Revision: 102824
- New snapshot of fonts
- install fonts.alias

* Mon Oct 22 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071022.1mdv2008.1
+ Revision: 101125
- New snapshot at 20071022
- New snapshot of fonts

* Fri Oct 12 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20071013.1mdv2008.1
+ Revision: 97777
- New snapshot at 20071013

* Tue Sep 11 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070911.1mdv2008.0
+ Revision: 84362
- New snapshot of x11-font-wqy-bitmapfont

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070901.1mdv2008.0
+ Revision: 77328
- New snapshot at 20070901

* Sat Aug 04 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070804.1mdv2008.0
+ Revision: 58898
- New snapshot at 070804

* Fri Jul 06 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070706.1mdv2008.0
+ Revision: 49023
- New snapshot

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0-0.20070617.3mdv2008.0
+ Revision: 48757
- normalize fontpath.d symlink name (based on pkg name)

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0-0.20070617.2mdv2008.0
+ Revision: 48700
- fontpath.d conversion (#31756)

* Sun Jun 17 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070617.1mdv2008.0
+ Revision: 40507
- New snapshot

* Sun May 20 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070520.1mdv2008.0
+ Revision: 28840
- Rediff patch1
- New upstream snapshot

* Tue May 01 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070501.1mdv2008.0
+ Revision: 19896
- new snapshot.
- new snapshot at 20070424

* Wed Apr 18 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070417.1mdv2008.0
+ Revision: 14316
- New snapshot at 20070417.


* Sat Apr 07 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070406.1mdv2007.1
+ Revision: 151202
- new snapshot.
- Active CJK ExtA characters.
- new snapshot at 20070403.

* Fri Mar 09 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.20070308.1mdv2007.1
+ Revision: 138650
- corrected tarball name.
- new snapshot at 20070308 equal 0.8.

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.20070222.1mdv2007.1
+ Revision: 126253
- Import x11-font-wqy-bitmapfont

* Fri Feb 23 2007 Funda Wang <fundawang@gmail.com> 1.0-0.20070222.1mdv2007.1
- New snapshot on 20070222

* Thu Feb 08 2007 Funda Wang <fundawang@gmail.com> 1.0-0.20070208.1mdv2007.1
- New snapshot on 20070208
- gunzip the fonts to improve the speed
- Adopt to the new build script of upstream package

* Mon Sep 18 2006 Funda Wang <fundawang@gmail.com> 1.0-0.20060916.2mdv2007.0
- Fix post and preun scripts

* Mon Sep 18 2006 Funda Wang <fundawang@gmail.com> 1.0-0.20060916.1mdv2007.0
- New snapshot on 20060916
- No more additional fontconfig needed.

* Thu Jul 20 2006 Funda Wang <fundawang@gmail.com> 1.0-0.20060819.1mdv2007.0
- New snapshot on 20060819
- adopt to the dir change of x11-fonts (/usr/share)

* Mon Jun 05 2006 Funda Wang <fundawang@gmail.com> 0.7.0-1mdv2007.0
- First Mandriva package

